package com.foreverwin.mesnac.dispatch.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;

import java.math.BigDecimal;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 
 * </p>
 *
 * @author Leon.L
 * @since 2021-06-30
 */

@TableName("Z_CALL_ITEM")
public class CallItem extends Model<CallItem> {

   private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
   /**
    * 派工单号
    */
   @TableField("SFC_DISPATCH_BO")
   private String sfcDispatchBo;
    /**
     * 叫料单号
     */
   @TableField("CALL_ITEM_NO")
   private String callItemNo;
    /**
     * 工单编号
     */
   @TableField("SHOP_ORDER")
   private String shopOrder;
    /**
     * 生产批次
     */
   @TableField("SFC")
   private String sfc;
    /**
     * 操作编号
     */
   @TableField("OPERATION")
   private String operation;
    /**
     * 步骤标示
     */
   @TableField("STEP_ID")
   private String stepId;
    /**
     * 设备编号
     */
   @TableField("RESRCE")
   private String resrce;
    /**
     * 组件
     */
   @TableField("COMPONENT_BO")
   private String componentBo;
    /**
     * 叫料类型
     */
   @TableField("CALL_TYPE")
   private String callType;
    /**
     * 需求数量
     */
   @TableField("REQUIRED_QTY")
   private BigDecimal requiredQty;
    /**
     * 需求时间
     */
   @TableField("REQUIRED_DATE_TIME")
   private LocalDateTime requiredDateTime;
    /**
     * 发料数量
     */
   @TableField("ISSUE_QTY")
   private BigDecimal issueQty;
    /**
     * 状态
     */
   @TableField("STATUS")
   private String status;
    /**
     * 叫料状态
     */
   @TableField("CALL_STATUS")
   private String callStatus;
    /**
     * 发料状态
     */
   @TableField("ISSUE_STATUS")
   private String issueStatus;
    /**
     * 创建用户
     */
   @TableField("CREATE_USER")
   private String createUser;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 修改用户
     */
   @TableField("MODIFY_USER")
   private String modifyUser;
    /**
     * 修改时间
     */
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;


   @TableField(exist = false)
   private String item;
   @TableField(exist = false)
   private String itemGroup;
   @TableField(exist = false)
   private String component;
   @TableField(exist = false)
   private String componentDescription;
   @TableField(exist = false)
   private String itemDescription;
   @TableField(exist = false)
   private String materialType;
   @TableField(exist = false)
   private String dispatchStatus;
   @TableField(exist = false)
   private String employee;
   @TableField(exist = false)
   private String sourceResource;
   @TableField(exist = false)
   private String workOrder;
   @TableField(exist = false)
   private String itemNumber;
   @TableField(exist = false)
   private String workCenter;
   @TableField(exist = false)
   private String workCenterDescription;
   @TableField(exist = false)
   private String dispatchNo;
   @TableField(exist = false)
   private BigDecimal dispatchQty;
   @TableField(exist = false)
   private String resourceType;
   @TableField(exist = false)
   private String resourceDescription;
   @TableField(exist = false)
   private String blankingSize;
   @TableField(exist = false)
   private String operationDescription;
   @TableField(exist = false)
   private LocalDateTime plannedStartDate;
   @TableField(exist = false)
   private String remark;
   @TableField(exist = false)
   private BigDecimal sizeReqQty;
   @TableField(exist = false)
   private BigDecimal compReqQty;
   @TableField(exist = false)
   private String startFromDate_S;
   @TableField(exist = false)
   private String startToDate_S;
   @TableField(exist = false)
   private Date startFromDate;
   @TableField(exist = false)
   private Date startToDate;
   @TableField(exist = false)
   private String requireFromDate_S;
   @TableField(exist = false)
   private String requireToDate_S;
   @TableField(exist = false)
   private Date requireFromDate;
   @TableField(exist = false)
   private Date requireToDate;
   /**规格**/
   @TableField(exist = false)
   private String spec;
   /**材质**/
   @TableField(exist = false)
   private String texture;

   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getSfcDispatchBo() {
      return sfcDispatchBo;
   }

   public void setSfcDispatchBo(String sfcDispatchBo) {
      this.sfcDispatchBo = sfcDispatchBo;
   }

   public String getCallItemNo() {
      return callItemNo;
   }

   public void setCallItemNo(String callItemNo) {
      this.callItemNo = callItemNo;
   }

   public String getShopOrder() {
      return shopOrder;
   }

   public void setShopOrder(String shopOrder) {
      this.shopOrder = shopOrder;
   }

   public String getSfc() {
      return sfc;
   }

   public void setSfc(String sfc) {
      this.sfc = sfc;
   }

   public String getOperation() {
      return operation;
   }

   public void setOperation(String operation) {
      this.operation = operation;
   }

   public String getStepId() {
      return stepId;
   }

   public void setStepId(String stepId) {
      this.stepId = stepId;
   }

   public String getResrce() {
      return resrce;
   }

   public void setResrce(String resrce) {
      this.resrce = resrce;
   }

   public String getComponentBo() {
      return componentBo;
   }

   public void setComponentBo(String componentBo) {
      this.componentBo = componentBo;
   }

   public String getCallType() {
      return callType;
   }

   public void setCallType(String callType) {
      this.callType = callType;
   }

   public BigDecimal getRequiredQty() {
      return requiredQty;
   }

   public void setRequiredQty(BigDecimal requiredQty) {
      this.requiredQty = requiredQty;
   }

   public LocalDateTime getRequiredDateTime() {
      return requiredDateTime;
   }

   public void setRequiredDateTime(LocalDateTime requiredDateTime) {
      this.requiredDateTime = requiredDateTime;
   }

   public BigDecimal getIssueQty() {
      return issueQty;
   }

   public void setIssueQty(BigDecimal issueQty) {
      this.issueQty = issueQty;
   }

   public String getStatus() {
      return status;
   }

   public void setStatus(String status) {
      this.status = status;
   }

   public String getCallStatus() {
      return callStatus;
   }

   public void setCallStatus(String callStatus) {
      this.callStatus = callStatus;
   }

   public String getIssueStatus() {
      return issueStatus;
   }

   public void setIssueStatus(String issueStatus) {
      this.issueStatus = issueStatus;
   }

   public String getCreateUser() {
      return createUser;
   }

   public void setCreateUser(String createUser) {
      this.createUser = createUser;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getModifyUser() {
      return modifyUser;
   }

   public void setModifyUser(String modifyUser) {
      this.modifyUser = modifyUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

   public String getItem() {
      return item;
   }

   public void setItem(String item) {
      this.item = item;
   }

   public String getItemGroup() {
      return itemGroup;
   }

   public void setItemGroup(String itemGroup) {
      this.itemGroup = itemGroup;
   }

   public String getComponent() {
      return component;
   }

   public void setComponent(String component) {
      this.component = component;
   }

   public String getComponentDescription() {
      return componentDescription;
   }

   public void setComponentDescription(String componentDescription) {
      this.componentDescription = componentDescription;
   }

   public String getItemDescription() {
      return itemDescription;
   }

   public void setItemDescription(String itemDescription) {
      this.itemDescription = itemDescription;
   }

   public String getMaterialType() {
      return materialType;
   }

   public void setMaterialType(String materialType) {
      this.materialType = materialType;
   }

   public String getDispatchStatus() {
      return dispatchStatus;
   }

   public void setDispatchStatus(String dispatchStatus) {
      this.dispatchStatus = dispatchStatus;
   }

   public String getEmployee() {
      return employee;
   }

   public void setEmployee(String employee) {
      this.employee = employee;
   }

   public String getSourceResource() {
      return sourceResource;
   }

   public void setSourceResource(String sourceResource) {
      this.sourceResource = sourceResource;
   }

   public String getWorkOrder() {
      return workOrder;
   }

   public void setWorkOrder(String workOrder) {
      this.workOrder = workOrder;
   }

   public String getItemNumber() {
      return itemNumber;
   }

   public void setItemNumber(String itemNumber) {
      this.itemNumber = itemNumber;
   }

   public String getWorkCenter() {
      return workCenter;
   }

   public void setWorkCenter(String workCenter) {
      this.workCenter = workCenter;
   }

   public String getDispatchNo() {
      return dispatchNo;
   }

   public void setDispatchNo(String dispatchNo) {
      this.dispatchNo = dispatchNo;
   }

   public BigDecimal getDispatchQty() {
      return dispatchQty;
   }

   public void setDispatchQty(BigDecimal dispatchQty) {
      this.dispatchQty = dispatchQty;
   }

   public String getResourceType() {
      return resourceType;
   }

   public void setResourceType(String resourceType) {
      this.resourceType = resourceType;
   }

   public String getWorkCenterDescription() {
      return workCenterDescription;
   }

   public void setWorkCenterDescription(String workCenterDescription) {
      this.workCenterDescription = workCenterDescription;
   }

   public String getResourceDescription() {
      return resourceDescription;
   }

   public void setResourceDescription(String resourceDescription) {
      this.resourceDescription = resourceDescription;
   }

   public String getBlankingSize() {
      return blankingSize;
   }

   public void setBlankingSize(String blankingSize) {
      this.blankingSize = blankingSize;
   }

   public String getOperationDescription() {
      return operationDescription;
   }

   public void setOperationDescription(String operationDescription) {
      this.operationDescription = operationDescription;
   }

   public LocalDateTime getPlannedStartDate() {
      return plannedStartDate;
   }

   public void setPlannedStartDate(LocalDateTime plannedStartDate) {
      this.plannedStartDate = plannedStartDate;
   }

   public String getRemark() {
      return remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public BigDecimal getSizeReqQty() {
      return sizeReqQty;
   }

   public void setSizeReqQty(BigDecimal sizeReqQty) {
      this.sizeReqQty = sizeReqQty;
   }

   public BigDecimal getCompReqQty() {
      return compReqQty;
   }

   public void setCompReqQty(BigDecimal compReqQty) {
      this.compReqQty = compReqQty;
   }

   public String getStartFromDate_S() {
      return startFromDate_S;
   }

   public void setStartFromDate_S(String startFromDate_S) {
      this.startFromDate_S = startFromDate_S;
   }

   public String getStartToDate_S() {
      return startToDate_S;
   }

   public void setStartToDate_S(String startToDate_S) {
      this.startToDate_S = startToDate_S;
   }

   public Date getStartFromDate() {
      return startFromDate;
   }

   public void setStartFromDate(Date startFromDate) {
      this.startFromDate = startFromDate;
   }

   public Date getStartToDate() {
      return startToDate;
   }

   public void setStartToDate(Date startToDate) {
      this.startToDate = startToDate;
   }

   public String getRequireFromDate_S() {
      return requireFromDate_S;
   }

   public void setRequireFromDate_S(String requireFromDate_S) {
      this.requireFromDate_S = requireFromDate_S;
   }

   public String getRequireToDate_S() {
      return requireToDate_S;
   }

   public void setRequireToDate_S(String requireToDate_S) {
      this.requireToDate_S = requireToDate_S;
   }

   public Date getRequireFromDate() {
      return requireFromDate;
   }

   public void setRequireFromDate(Date requireFromDate) {
      this.requireFromDate = requireFromDate;
   }

   public Date getRequireToDate() {
      return requireToDate;
   }

   public void setRequireToDate(Date requireToDate) {
      this.requireToDate = requireToDate;
   }

   public String getSpec() {
      return spec;
   }

   public void setSpec(String spec) {
      this.spec = spec;
   }

   public String getTexture() {
      return texture;
   }

   public void setTexture(String texture) {
      this.texture = texture;
   }

   public static final String HANDLE = "HANDLE";

   public static final String SITE = "SITE";

   public static final String SFC_DISPATCH_BO = "SFC_DISPATCH_BO";

   public static final String CALL_ITEM_NO = "CALL_ITEM_NO";

   public static final String SHOP_ORDER = "SHOP_ORDER";

   public static final String SFC = "SFC";

   public static final String OPERATION = "OPERATION";

   public static final String STEP_ID = "STEP_ID";

   public static final String RESRCE = "RESRCE";

   public static final String COMPONENT_BO = "COMPONENT_BO";

   public static final String CALL_TYPE = "CALL_TYPE";

   public static final String REQUIRED_QTY = "REQUIRED_QTY";

   public static final String REQUIRED_DATE_TIME = "REQUIRED_DATE_TIME";

   public static final String ISSUE_QTY = "ISSUE_QTY";

   public static final String STATUS = "STATUS";

   public static final String CALL_STATUS = "CALL_STATUS";

   public static final String ISSUE_STATUS = "ISSUE_STATUS";

   public static final String CREATE_USER = "CREATE_USER";

   public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

   public static final String MODIFY_USER = "MODIFY_USER";

   public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "CallItem{" +
         "handle = " + handle +
         ", site = " + site +
         ", sfcDispatchBo = " + sfcDispatchBo +
         ", callItemNo = " + callItemNo +
         ", shopOrder = " + shopOrder +
         ", sfc = " + sfc +
         ", operation = " + operation +
         ", stepId = " + stepId +
         ", resrce = " + resrce +
         ", componentBo = " + componentBo +
         ", callType = " + callType +
         ", requiredQty = " + requiredQty +
         ", requiredDateTime = " + requiredDateTime +
         ", issueQty = " + issueQty +
         ", status = " + status +
         ", callStatus = " + callStatus +
         ", issueStatus = " + issueStatus +
         ", createUser = " + createUser +
         ", createdDateTime = " + createdDateTime +
         ", modifyUser = " + modifyUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}